Subject: GNU Emacs FAQ (6/5): Changes
Newsgroups: gnu.emacs.help,comp.emacs,news.answers,comp.answers
From: sbyrnes@rice.edu (Steven Byrnes)
Date: Tue, 4 May 1993 02:52:18 GMT

Archive-Name: GNU-Emacs-FAQ/diff
Last-Modified: Sat, 6 Mar 1993 21:13:29 GMT
Last-Posted: Tue, 4 May 1993 02:52:18 GMT

                          GNU Emacs FAQ: Changes

The latest version of the GNU Emacs FAQ has changed from the previous version.
This article shows the changed text.  The contents of this article are from the
output of `diff -wu2'.  Since the question numbers are generated automatically
and can change, these are stripped from both versions before comparing them.
After generating the differences for each part, they were concatenated and then
edited to remove as much noise as possible.  You can't use this as a patch.

-- 
Steven Byrnes <sbyrnes@rice.edu> (and Joe Wells <jbw@cs.bu.edu>)

E-mail lpf@uunet.uu.net for details about the League for Programming Freedom.

----------------------------------------------------------------------


@@ -345,5 +345,5 @@
   can get a PostScript version via anonymous FTP:
   
-    /cs.ubc.ca:src/gnu/manuals_ps/emacs-18.57.ps.Z
+    /cs.ubc.ca:pub/archive/gnu/manuals_ps/emacs-18.57.ps.Z
   
   which site requests that you please CONFINE ANY MAJOR FTPING TO LATE
@@ -441,5 +441,5 @@
     Anonymous FTP:
       /archive.cis.ohio-state.edu:modes/info.el.Z
-      /cs.umn.edu:pub/gnu/emacs/info.el.Z
+      /ftp.uu.net:languages/emacs-lisp/modes/info.el.Z
   
     According to Jay Bourland <jayb@math.stanford.edu>, a version of Dave's
@@ -611,5 +611,5 @@
     it might (or might not) do some good to complain to your news
     administrator, because the most recent FAQ should not expire before
-    March 6, 1993.
+    July 3, 1993.
   
   * Via anonymous FTP.  You can fetch the FAQ articles via anonymous FTP
@@ -693,9 +693,30 @@
 QQQ: When will GNU Emacs 19 be available?
   
-  There are strong indications that Emacs 19 will be available in 1992.  The
-  FSF has recently gone through a spate of copyright disclaimer checking,
-  which is a good sign.
+  Richard Stallman recently (February 19, 1993) posted in gnu.emacs.help
+  the following:
   
-  Lucid has released Lucid GNU Emacs 19.3, which is based on an early
+    People should keep in mind that the successor of Emacs 18 does not
+    come from Lucid.  Its is GNU Emacs 19.  I still can't say exactly when
+    public release is going to be, but we are about to start testing at a
+    number of sites.
+
+    GNU Emacs 19 will support a broad spectrum of machines, like Emacs
+    18.  Ensuring this is the purpose of the testing we are about to do.
+
+    (Please don't volunteer; we have enough pretesters, and if more people
+    offer, dealing with those messages will slow things down.)
+
+    Once we make sure it is indeed working reliably on various different
+    systems, we will have a public beta test release.
+
+    Emacs 19 does support adding properties to ranges of text, and using
+    these to switch fonts.  In the future, the Epoch people will help
+    merge support for variable-width fonts.
+
+    Meanwhile, I have almost finished updating the Emacs Lisp manual.  Its
+    next edition will describe Emacs 19.  There will be an announcement
+    when we know when this edition will be available.
+
+  Lucid has released Lucid GNU Emacs 19.6, which is based on an early
   unreleased version of GNU Emacs 19.  This will be similar to Emacs 19 when
   it finally arrives, but they are not the same.  See question QQQ.
@@ -626,5 +626,34 @@
   
   `etags' takes options just like a prior version of ctags, so your ctags
-  manual (if any) may be useful.  {Can someone send me the details on this?}
+  manual (if any) may be useful.  Eoin Woods, in comp.emacs, writes the
+  following:
+
+    From reading the source (!) the way I use it is:
+
+      for f in `find <args>`
+      do
+         etags -at -f ETAGS $f
+      done
+
+    The "-t" option means to create tags for typedefs as well as functions.
+    The "-a" option tells it to append to the output file. If you have a
+    small number of files (up to a few hundred I think) you can use it
+    direct as:
+
+      etags -f ETAGS file1 file2 file3 ... filen
+
+    The option list is:
+
+            -f file -  Specify the output file name (Default is "TAGS")
+            -a      -  Append to the output file. (Default is to rewrite it)
+            -t      -  Create tags for typedefs (default is just functions)
+            -u      -  Update the output file. Do not re-create it.
+            -w      -  Suppress warnings
+            -v      -  Create vgrind style indexed output (What is vgrind??)
+            -x      -  Create cxref style output (default is Emacs Tags)
+            -e      -  Emacs tags style output (the default the way I 
+                       compile it)
+
+    Having got it working, it works fine!
   
 
@@ -130,5 +130,5 @@
     ;; tex-complete|Sebastian Kremer|sk@thp.Uni-Koeln.DE
     ;; |Minibuffer name completion for editing [La]TeX.
-    ;; |91-03-26|$Revision: 19.4 $|~/packages/tex-complete.el.Z
+    ;; |91-03-26|$Revision: 20.5 $|~/packages/tex-complete.el.Z
   
   Dave Brennan has software which automatically looks for data in this
@@ -298,11 +298,13 @@
     MicroEmacs is a descendant of Microemacs {originally by Dave Conroy?}.
     It is programmable in a BASIC-like language.  Many of the keybindings
-    are different from GNU Emacs.  It is rumored that MicroEmacs can not
-    correctly edit files larger than memory.  The author is Daniel Lawrence
-    <dan@mdbs.uucp, mdbs!dan@ee.ecn.purdue.edu>.  The latest version is 3.11
+    are different from GNU Emacs.  The author is Daniel Lawrence
+    <dan@mdbs.uucp, mdbs!dan@ee.ecn.purdue.edu>.  The latest version is 3.12
     and it is available via anonymous FTP:
   
-      /wuarchive.wustl.edu:/mirrors/msdos/uemacs/
+      /midas.mgmt.purdue.edu:dist/uemacs312/   (outside business hours)
 
+    Version 3.12 includes Windows and Windows NT versions and a DOS
+    protected mode (DMPI) version.
+
   * JOVE
   
@@ -439,9 +441,16 @@
   
   Richard Levitte <levitte@e.kth.se> tells us that there are patches for
-  Emacs 18.57 and 18.58 available via e-mail:
+  Emacs 18.57, 18.58, and 18.59 available via e-mail:
   
-    To: fileserv@ttt.kth.se
+    To: EMACS-FILESERV@e.kth.se
     body: SEND EMACS-1857-PATCHES
       or: SEND EMACS-1858-PATCHES
+      or: SEND EMACS-1859-PATCHES
+
+  or via anonymous ftp at:
+
+      /lucy.merrimack.edu:emacs-1859-patches.share
+
+  The set of patches weighs in at around 2.7 MB.
   
 QQQ: Where can I get modes for Lex, Yacc/Bison, Bourne Shell, Csh, C++,
@@ -517,8 +526,8 @@
   Mailing list: supercite-request@anthem.nlm.nih.gov (for subscriptions)
                 supercite@anthem.nlm.nih.gov (for submissions)
-  Latest version: 2.2
+  Latest version: 2.3
   Anonymous FTP:
-    /archive.cis.ohio-state.edu:pub/gnu/emacs/elisp-archive/packages/sc-2.2.tar.Z
-    /ftp.cme.nist.gov:pub/gnu/sc2.2.tar.Z
+    /archive.cis.ohio-state.edu:pub/gnu/emacs/elisp-archive/packages/sc-2.3.tar.Z
+    /ftp.cme.nist.gov:pub/gnu/sc2.3.tar.Z
   Via e-mail:
     To: library@cme.nist.gov
@@ -532,5 +541,4 @@
   Unofficial test version: 3.14.1
   Anonymous FTP:
-    /cs.umn.edu:pub/gnu/emacs/gnus-3.14.1.tar.Z.
     /aun.uninett.no:pub/gnus-3.14.1.tar.Z
     /wnoc-fuk.wide.ad.jp:pub/GNU/etc/gnus-3.14.1.tar.Z
@@ -710,13 +718,15 @@
                     Matthieu Devin <devin@lucid.com>
                     Harlan Sexton <hbs@lucid.com>
-  Latest released version: 19.3
+  Latest released version: 19.6
   Anonymous FTP:
-    /labrea.stanford.edu:pub/gnu/lucid/lemacs-19.3.tar.Z  (source)
-    /labrea.stanford.edu:pub/gnu/lucid/lemacs-19.3-sun4.tar.Z (Sun4binaries)
+    /labrea.stanford.edu:pub/gnu/lucid/lemacs-19.6.tar.Z  (source)
+    /labrea.stanford.edu:pub/gnu/lucid/lemacs-19.6-sun4.tar.Z (Sun4binaries)
   Newsgroup and mailing lists:
     Bugs:
+      alt.lucid-emacs.bug
       bug-lucid-emacs-request@lucid.com (for subscriptions)
       bug-lucid-emacs@lucid.com (for submissions)
     Help:
+      alt.lucid-emacs.help
       help-lucid-emacs-request@lucid.com (for subscriptions)
       help-lucid-emacs@lucid.com (for submissions)
----------------------------------------------------------------------
Copyright (C) 1990, 1991, 1992 Joseph Brian Wells
Copyright (C) 1992, 1993 Steven Byrnes

This list of frequently asked questions about GNU Emacs with answers
("FAQ") may be translated into other languages, transformed into other
formats (e.g. Texinfo, Info, WWW, WAIS, etc.), and updated with new
information.  The same conditions apply to any derivative of the FAQ as
apply to the FAQ itself.  Every copy of the FAQ must include this notice
or an approved translation, information on who is currently maintaining
the FAQ and how to contact them (including their e-mail address), and
information on where the latest version of the FAQ is archived (including
FTP information).  The FAQ may be copied and redistributed under these
conditions, except that the FAQ may not be embedded in a larger literary
work unless that work itself allows free copying and redistribution.

